<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <artifactId>persistence-service-v1</artifactId>
        <groupId>com.iqser.red.service</groupId>
        <version>2.0-SNAPSHOT</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>persistence-service-processor-v1</artifactId>

    <properties>
        <bucket4j.version>6.4.1</bucket4j.version>
        <bucket4j.spring.version>0.4.0</bucket4j.spring.version>
        <swagger-commons.version>0.5.0</swagger-commons.version>
        <keycloak-commons.version>0.18.0</keycloak-commons.version>
        <jobs-commons.version>0.6.0</jobs-commons.version>
        <database-tenant-commons.version>0.4.0</database-tenant-commons.version>
    </properties>
    <dependencies>

        <dependency>
            <groupId>com.knecon.fforesight</groupId>
            <artifactId>jobs-commons</artifactId>
            <version>${jobs-commons.version}</version>
        </dependency>

        <dependency>
            <groupId>com.knecon.fforesight</groupId>
            <artifactId>database-tenant-commons</artifactId>
            <version>${database-tenant-commons.version}</version>
        </dependency>

        <dependency>
            <groupId>com.knecon.fforesight</groupId>
            <artifactId>keycloak-commons</artifactId>
            <version>${keycloak-commons.version}</version>
        </dependency>

        <dependency>
            <groupId>com.knecon.fforesight</groupId>
            <artifactId>swagger-commons</artifactId>
            <version>${swagger-commons.version}</version>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>pdftron-redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>redaction-service-api-v1</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>pdftron-redaction-service-api-v1</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>redaction-report-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-internal-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.knecon.fforesight</groupId>
            <artifactId>layoutparser-service-internal-api</artifactId>
            <version>0.37.0</version>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>search-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- Rate Limiting -->
        <dependency>
            <groupId>com.giffing.bucket4j.spring.boot.starter</groupId>
            <artifactId>bucket4j-spring-boot-starter</artifactId>
            <version>${bucket4j.spring.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.github.vladimir-bukhtoyarov</groupId>
                    <artifactId>bucket4j-jcache</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.github.vladimir-bukhtoyarov</groupId>
                    <artifactId>bucket4j-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>persistence-service-internal-api-v1</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>ocr-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-internal-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>persistence-service-external-api-v1</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>search-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-internal-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-internal-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>pdftron-redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-internal-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-acl</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
        <!-- commons -->
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>spring-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>jackson-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-compress</artifactId>
            <version>1.21</version>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>storage-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.postgresql/postgresql -->
        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>42.2.23</version>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>logging-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>spring-boot-starter-web-custom-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>metric-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>com.opencsv</groupId>
            <artifactId>opencsv</artifactId>
            <version>5.4</version>
        </dependency>

        <!-- spring -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>

        <!-- test -->
        <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-rabbit-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.testcontainers</groupId>
            <artifactId>postgresql</artifactId>
            <version>1.17.1</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-slf4j-impl</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.yannbriancon</groupId>
            <artifactId>spring-hibernate-query-utils</artifactId>
            <version>2.0.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>commons-validator</groupId>
            <artifactId>commons-validator</artifactId>
            <version>1.7</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>persistence-service-shared-api-v1</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <annotationProcessors>
                        <annotationProcessor>lombok.launch.AnnotationProcessorHider$AnnotationProcessor</annotationProcessor>
                    </annotationProcessors>
                </configuration>
            </plugin>

        </plugins>
    </build>
</project>
